/* First screen ================ */

:root {
  --section-padding: 100px;

  @media (--laptop-max) {
    --section-padding: 50px;
  }

  @media (--laptop-small-max) {
    --section-padding: 30px;
  }

  @media (--tablet-small-max) {
    --section-padding: 15px;
  }
}

.first-screen {
  --first-screen-padding: 110px;

  padding-top: var(--section-padding);
  padding-bottom: 210px;
  position: relative;
  background: url("../images/static/first-screen.jpg") no-repeat top right;
  background-size: cover;

  @media screen and (min-width: 1921px) {
    background-size: 1920px;
  }

  @media (--desktop-min) {
    padding: 160px 0 300px;
    background: url("../images/static/first-screen_1920.jpg") no-repeat;
    background-position: bottom center;
  }

  @media (--laptop-max) {
    padding-bottom: 150px;
    background-position: bottom right;
  }

  @media (--laptop-small-max) {
    padding-bottom: 100px;
  }

  @media (--tablet-max) {
    padding: 30px 0;
  }

  @media (--tablet-small-max) {

    &::after {
      content: "";
      width: 100%;
      height: 100%;
      position: absolute;
      top: 0;
      left: 0;
      background-color: color-mod(var(--color-white) alpha(70%));
      pointer-events: none;
    }
  }
}

.first-screen__container {
  position: relative;
  z-index: 1;
}

.first-screen__content {
  width: 60%;
  padding-left: 30px;
  text-align: left;

  @media (--laptop-max) {
    width: 50%;
  }

  @media (--tablet-max) {
    width: 60%;
  }

  @media (--tablet-small-max) {
    width: 100%;
    padding-left: 0;
    text-align: center;
  }
}

.first-screen__title {
  margin-top: 0;
  margin-bottom: 35px;

  @media (--laptop-small-max) {
    margin-bottom: 25px;
  }

  @media (--tablet-small-max) {
    margin-bottom: 20px;
  }
}

.first-screen__text {
  max-width: 500px;
  margin-top: 0;
  margin-bottom: 50px;
  font-size: 25px;

  @media (--laptop-max) {
    margin-bottom: 25px;
  }

  @media (--laptop-small-max) {
    max-width: 290px;
    font-size: 16px;
  }

  @media (--tablet-small-max) {
    margin-right: auto;
    margin-bottom: 20px;
    margin-left: auto;
  }
}

/* ================ end first screen */
